[CentOS] Re: Problems in x86_64 Centos 5

Scott Silva ssilva at sgvwater.com
Fri Sep 7 17:36:34 UTC 2007

Mogens Kjaer spake the following on 9/7/2007 6:15 AM:
> Erkki.Aalto at Helsinki.FI wrote:
>> We upgraded a 64 bit server from Centos 4 to 5 and encountered some
>> strange problems. 
> I've seen this problem both for CentOS and Fedora.
> An example could be:
> CentOS 4.x: has foo-7.2-el4
> CentOS 4.x updates: has foo-7.4-el4
> CentOS 5: has foo-7.3-el5
> So when you do an upgrade to CentOS 5, you don't get the el5 version
> as 7.3 < 7.4.
> Last I did an upgrade of FC6 to F-7 I ended up with a system
> with non-functional yum because of some mismatching python
> modules...
> I guess it is a problem that is not very easy to solve.
> You could try with an:
> # rpm -qa|fgrep el4
> and look for old packages.
> Mogens
Or rpm -qa --last  and look for packages dated before the upgrade. Everything 
installed at the upgrade should have the same date and near to the same time. 
Anything before the upgrade date is probably your problem.


MailScanner is like deodorant...
You hope everybody uses it, and
you notice quickly if they don't!!!!

More information about the CentOS mailing list